import React from "react";
export declare type TipsType = "custom" | "error" | "noData" | "warning" | "timeout";
export interface TipsConf {
    icon?: React.ReactNode;
    text?: string;
    color?: string;
    /**@description 提示类型 默认:noData */
    type?: TipsType;
}
export interface TipsProps {
    style?: React.CSSProperties;
    iconStyle?: React.CSSProperties;
    text?: string;
    icon?: React.ReactNode;
    type?: TipsType;
    iconSize?: number;
    color?: string;
}
export declare const Tips: React.FunctionComponent<TipsProps>;
