/// <reference types="react" />
import { TipsProps } from "./Tips";
import { init } from "echarts";
import { ChartProps, ExChartProps } from ".";
export type EchartsInitopts = Parameters<typeof init>[2];
export declare const useChartInit: (props: ChartProps, domEl: React.RefObject<HTMLDivElement>) => {
    boxRef: import("react").MutableRefObject<any>;
    echartInstance: import("echarts/types/dist/echarts").ECharts | undefined;
};
export declare const useLoadMapData: (props: ChartProps) => {
    mapLoading: boolean;
};
export declare const useCheckEmpty: () => {
    checkEmpty: (data: any) => boolean;
};
export declare const useHandlerTips: (props: ExChartProps) => TipsProps;
